aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries
diff options
context:
space:
mode:
Diffstat (limited to 'resources/libraries')
-rw-r--r--resources/libraries/bash/function/artifacts.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/resources/libraries/bash/function/artifacts.sh b/resources/libraries/bash/function/artifacts.sh
index a403cfe005..04db2d0069 100644
--- a/resources/libraries/bash/function/artifacts.sh
+++ b/resources/libraries/bash/function/artifacts.sh
@@ -98,7 +98,8 @@ function download_ubuntu_artifacts () {
pkg_info=$(apt-cache show ${package}) || {
die "apt-cache show on ${package} failed."
}
- ver=$(echo ${pkg_info} | grep -o "Version: ${VPP_VERSION-}[^ ]*") || true
+ ver=$(echo ${pkg_info} | grep -o "Version: ${VPP_VERSION-}[^ ]*" \
+ head -1) || true
if [ -n "${ver-}" ]; then
echo "Found '${VPP_VERSION-}' among '${package}' versions."
ver=$(echo "$ver" | cut -d " " -f 2)